-- 姻缘-婚宴信息栏
checkRequire("Lua_LeftInfoBaseWindow");
Lua_MarryMainWindow = class("Lua_MarryMainWindow", Lua_LeftInfoBaseWindow);
function Lua_MarryMainWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_MarryMainWindow";
	self.skinName = "MarryMainWindow_skin";
	self.showBg = false;
end

function Lua_MarryMainWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.isClick = false;

	self.bg.clickScale = false;
	self.bg:addClickFuntion(self, self.onBgClick);

	self.titleBg.clickScale = false;
	self.titleBg:addClickFuntion(self, self.onTitleBgClick);

	self:addLuaEvent("UPDATE_MARRYMAIN_INFO", self, self.onUpdateInfo)
	self:addLuaEvent("MENU_OUT_CLICK", self, self.onExitScene);
	self:addLuaEvent("PLAY_MARRY_EFFECT", self, self.onPlayEffect);

	self:addLuaEvent("USE_MARRY_HUAYU", self, self.onIcon1Click)
	self:addLuaEvent("OPEN_MARRY_RULE", self, self.onIcon2Click)
	self:addLuaEvent("OPEN_MARRY_YAOQING", self, self.onIcon3Click)
	self:addLuaEvent("OPEN_MARRY_SHOP", self, self.onIcon4Click)

	self:addLuaEvent("UPDATE_MARRYMAIN_NUM", self, self.onUpdateInfo)

	if DataCenter.marryData.hasSend ~= nil and DataCenter.marryData.hasSend == true then
		self:onUpdateInfo();
	end
end

function Lua_MarryMainWindow:onPlayEffect()
	if self.flower_effect == nil then
		self.flower_effect = UICreate.createUIEffect(self.content.transform.parent.gameObject, "/effects/scsEffects/mantianhuayu_tx", "mantianhuayu_tx", 0, 0);
	else
		self.flower_effect.mainContent:SetActive(false);
		self.flower_effect.mainContent:SetActive(true);
	end
	self.flower_effect:SetRenderQueue(self.titleLab, 5, 2, false);
end

function Lua_MarryMainWindow:onUpdateInfo()
	self.titleLab.text = LanUtil.formateStr(LanUtil.getValue(124131), DataCenter.marryData.WaitWedName)
	self.txt1.text = LanUtil.formateStr(LanUtil.getValue(124130), tostring(DataCenter.marryData.wait_wed_type))
	self.txt2.text = LanUtil.formateStr(LanUtil.getValue(124129), DataCenter.marryData.WedTypeStr)

	if DataCenter.marryData.wedding_role_1.sex == 1 then
		self.txt3.text = LanUtil.formateStr(LanUtil.getValue(124128), DataCenter.marryData.wedding_role_1.role_name)
	else
		self.txt4.text = LanUtil.formateStr(LanUtil.getValue(124127), DataCenter.marryData.wedding_role_1.role_name)
	end

	if DataCenter.marryData.wedding_role_2.sex == 1 then
		self.txt3.text = LanUtil.formateStr(LanUtil.getValue(124128), DataCenter.marryData.wedding_role_2.role_name)
	else
		self.txt4.text = LanUtil.formateStr(LanUtil.getValue(124127), DataCenter.marryData.wedding_role_2.role_name)
	end

	self.txt5.text = LanUtil.getValue(124126);
	self.role1_id = tonumber(DataCenter.marryData.wedding_role_1.role_id);
	self.role2_id = tonumber(DataCenter.marryData.wedding_role_2.role_id);
	self.roleId = DataCenter.roleData.roleId
	self.Player = ThingUtil.instance:getThingById(self.roleId);
	if DataCenter.marryData.wedding_role_2.sex == DataCenter.marryData.wedding_role_1.sex then
		if self.role1_id > self.role2_id then
			self.txt3.text = LanUtil.formateStr(LanUtil.getValue(124128), DataCenter.marryData.wedding_role_1.role_name)
			self.txt4.text = LanUtil.formateStr(LanUtil.getValue(124127), DataCenter.marryData.wedding_role_2.role_name)
		else
			self.txt3.text = LanUtil.formateStr(LanUtil.getValue(124128), DataCenter.marryData.wedding_role_2.role_name)
			self.txt4.text = LanUtil.formateStr(LanUtil.getValue(124127), DataCenter.marryData.wedding_role_1.role_name)
		end
	end

	self.startTime = getTime();
	Lua_CommonUtil.addTimer("onMarryTimeDown", 1, self, self.onMarryTimeDown);
	self.timeTxt.text = LanUtil.formateStr(LanUtil.getValue(124144), "[" .. Lua_ColorDefine.GREEN_STR .. "]00:00:00[-]")

	if DataCenter.marryData.wait_wed_type == 2 then
		ThingUtil.instance:hidePlayer(self.role1_id);
		ThingUtil.instance:hidePlayer(self.role2_id);
	else
		ThingUtil.instance:showPlayer(self.role1_id);
		ThingUtil.instance:showPlayer(self.role2_id);
	end

	if self.roleId == self.role1_id or self.roleId == self.role2_id then
		if DataCenter.marryData.wait_wed_type == 2 then
			ThingUtil.instance:lockControl();
			CameraControl.Instance:SetFollowTarget(nil);
			CameraControl.Instance:SetFollowTarget(169.95, 19.09, 92.95, true);
		else
			ThingUtil.instance:cancelLockControl();
			CameraControl.Instance:SetFollowTarget(self.Player.root.transform);
		end
	end

	if DataCenter.marryData.wait_wed_type == 2 then

	elseif DataCenter.marryData.wait_wed_type == 3 then
		if self.effect ~= nil then
			self:onPlayEffect()
			self.effect:dispose();
			self.effect = nil;
		end

		if self.onAnimTime ~= nil then
			Lua_CommonUtil.removeTimer(self, self.onAnimTime);
		end
	end
	self:showNum();
end

function Lua_MarryMainWindow:showNum()
	if DataCenter.marryData.wait_wed_type == 3 then
		self.txt6.text = LanUtil.formateStr(LanUtil.getValue(124180), DataCenter.marryData.edible_num, DataCenter.marryNewUtil.getEdibleLimit);
	else
		self.txt6.text = "";
	end
end

function Lua_MarryMainWindow:showImag()
	if self.NpcThing_HeadBg == nil and DataCenter.marryData.wait_wed_type == 3 then
		self.NpcThing_HeadBg = DataCenter.thingData:getThingObj(901010306).hongniang_BG;
		if self.NpcThing_HeadBg ~= nil then
			self.NpcThing_HeadBg:setEnable(true);
			self.NpcThing_HeadBg:setAltas("marryWindow", "marry_ritualInto");
			self.NpcThing_HeadBg:SetDimensions(242, 78);
		end
	end
end

function Lua_MarryMainWindow:onMarryTimeDown()
	self.leftTime = math.floor(DataCenter.marryData.wed_left_tick -(getTime() - self.startTime));
	if self.leftTime < 0 then
		self.leftTime = 0;
	end

	if self.effect == nil then
		if self.leftTime > 24 and DataCenter.marryData.wait_wed_type == 2 then
			local thing = ContainerUtil.getConainer("Thing");
			local urlName = "marry";
			if DataCenter.marryData.wedding_role_1.sex == 1 and DataCenter.marryData.wedding_role_2.sex == 1 then
				urlName = "jiehundh1";
			elseif DataCenter.marryData.wedding_role_1.sex == 2 and DataCenter.marryData.wedding_role_2.sex == 2 then
				urlName = "jiehundh2";
			end

			if self.flowerEff == nil then
				self.flowerEff = UICreate.createUIEffect(self.content.transform.parent.gameObject, "/effects/scsEffects/mantianhuayu_tx", "mantianhuayu_tx", 0, 0);
				self.flowerEff:SetRenderQueue(self.titleLab, 5, 2, false);
			else
				self.flowerEff.mainContent:SetActive(false);
				self.flowerEff.mainContent:SetActive(true);
			end

			self.effect = UICreate.createUIEffect(thing.gameObject, "/model/" .. urlName, urlName, 0, 0);
			self.effect.showLayer = 1;
			-- self.effect.mainContent.transform.localPosition = Vector3(0, 0, 0);
			LuaUtil.setObjPos(self.effect.mainContent, 0, 0, 0);
			self.NpcThing_HeadBg = DataCenter.thingData:getThingObj(901010306).hongniang_BG;
			self.anim_startTime = 1;
			Lua_CommonUtil.addTimer("onAnimTime", 1, self, self.onAnimTime);
		end
	end

	if self.leftTime > DataCenter.marryData.wed_left_tick then
		self.leftTime = DataCenter.marryData.wed_left_tick;
	end

	local colorStr = self.leftTime <= 10 and Lua_ColorDefine.RED_STR or Lua_ColorDefine.GREEN_STR;
	self.timeTxt.text = "[" .. colorStr .. "]" .. LanUtil.formateStr(LanUtil.getValue(124144), TimeTransform.getInstance():transSeconds6(math.floor(self.leftTime), true, true)) .. "[-]";
end

function Lua_MarryMainWindow:onAnimTime()
	self.anim_startTime = self.anim_startTime + 1
	if self.NpcThing_HeadBg ~= nil then
		self.NpcThing_HeadBg:setEnable(true);
		if self.anim_startTime >= 6 and self.anim_startTime <= 8 then
			self.NpcThing_HeadBg:setAltas("marryWindow", "marry_proffer1");
			self.NpcThing_HeadBg:SetDimensions(230, 66);
		elseif self.anim_startTime > 8 and self.anim_startTime <= 13 then
			self.NpcThing_HeadBg:setAltas("marryWindow", "marry_proffer2");
			self.NpcThing_HeadBg:SetDimensions(230, 66);
		elseif self.anim_startTime > 14 and self.anim_startTime <= 16 then
			self.NpcThing_HeadBg:setAltas("marryWindow", "marry_proffer3");
			self.NpcThing_HeadBg:SetDimensions(230, 66);
		elseif self.anim_startTime > 16 then
			self.NpcThing_HeadBg:setAltas("marryWindow", "marry_ritualInto");
			self.NpcThing_HeadBg:SetDimensions(242, 78);
			if self.yanhua_effect == nil then
				self.yanhua_effect = UICreate.createUIEffect(self.content.transform.parent.gameObject, "/effects/scsEffects/dayanhua_tx", "dayanhua_tx", 0, 0);
				self.yanhua_effect:SetRenderQueue(self.titleLab, 5, 2, false);
			end
		end
	end
end

function Lua_MarryMainWindow:onIcon1Click()
	Lua_WindowUtil.openWin("Lua_TipsWindow", nil, {des = LanUtil.getValue(124156), owner = self, type = 1, subFun = self.onSubCallback});
end

function Lua_MarryMainWindow:onSubCallback(data)
	Lua_ProxyManager.getProxy("Lua_MarryProxy"):sUseSendFlowerMsg();
end

function Lua_MarryMainWindow:onIcon2Click()
	Lua_WindowUtil.openWin("Lua_RuleTipWindow", WinParam.ACTION_AUTO, LanUtil.getValue(124125));
end

function Lua_MarryMainWindow:onIcon3Click()
	Lua_WindowUtil.openWin("Lua_MarryVisitorWindow", WinParam.ACTION_AUTO, LanUtil.getValue(124125));
end

function Lua_MarryMainWindow:onIcon4Click()
	-- if DataCenter.marryData.wedding_role_1.role_name ~= DataCenter.roleData.name and DataCenter.roleData.name ~= DataCenter.marryData.wedding_role_2.role_name then
	Lua_WindowUtil.openWin("Lua_MarryShopWindow", WinParam.ACTION_OPEN, nil);
	-- end
end

function Lua_MarryMainWindow:onExitScene()
	sendMsg(10400902);
end

function Lua_MarryMainWindow:onBgClick(go)
end

function Lua_MarryMainWindow:onTitleBgClick(go)
end

function Lua_MarryMainWindow:dispose()
	if self.effect ~= nil then
		self.effect:dispose();
		self.effect = nil;
	end

	ThingUtil.instance:cancelLockControl();
	local rp = ThingUtil.instance:getThingById(DataCenter.roleData.roleId);
	if rp ~= nil then
		CameraControl.Instance:SetFollowTarget(rp.root.transform);
	end

	if self.role1_id ~= nil then
		ThingUtil.instance:showPlayer(self.role1_id);
	end

	if self.role2_id ~= nil then
		ThingUtil.instance:showPlayer(self.role2_id);
	end

	Lua_CommonUtil.removeTimer(self, self.onAnimTime);
	Lua_CommonUtil.removeTimer(self, self.onMarryTimeDown);
	self:superCall("dispose");
end