-- 姻缘-求婚界面
Lua_MarryTipsWindow = class("Lua_MarryTipsWindow", Lua_Window); -- 求婚界面
function Lua_MarryTipsWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_MarryTipsWindow";
	self.skinName = "MarryTipsWindow_skin";
	self.showClose = false;
end

function Lua_MarryTipsWindow:buildShowItem()
	self:superCall("buildShowItem");

	if self.headBg == nil then
		local headStr = Lua_ThingDefine.getHeadIconUrlByCareer(DataCenter.roleData.career, DataCenter.roleData.profession);
		self.headBg = UICreate.createImage(self.content, headStr, 331, 12, 0, 0);
		self.headBg.name = "headBg";
		self.headBg:setDepth(5);
	end
	self.acceptBtn:addClickFuntion(self, self.onAcceptClick);
	self.refuseBtn:addClickFuntion(self, self.onRefuseClick);

	self:addLuaEvent("TEAM_INFO_UPDATE", self, self.hide);
end

function Lua_MarryTipsWindow:showWin(param)
	self.showData = param;
	self.des.text = LanUtil.formateStr(LanUtil.getValue(124107), tostring(self.showData.name));
	if self.showData.id ~= nil then
		local playerInfo = DataCenter.teamData:getTeamMember(tonumber(tostring(self.showData.id)))
		if playerInfo ~= nil and self.headBg2 == nil then
			local headStr2 = Lua_ThingDefine.getHeadIconUrlByCareer(playerInfo.role_career, playerInfo.profession);
			self.headBg2 = UICreate.createImage(self.content, headStr2, -331, 12, 0, 0);
			self.headBg2.name = "headBg2";
			self.headBg2:setDepth(5);
		end
	end
end

function Lua_MarryTipsWindow:onAcceptClick()
	Lua_ProxyManager.getProxy("Lua_MarryProxy"):sMarryReplyMsg(1);
end

function Lua_MarryTipsWindow:onRefuseClick()
	Lua_ProxyManager.getProxy("Lua_MarryProxy"):sMarryReplyMsg(0, 1);
end

function Lua_MarryTipsWindow:dispose()
	if self.marry_DragList ~= nil then
		self.marry_DragList:dispose();
	end
	self:superCall("dispose");
end