-- 姻缘-婚宴宾客名单界面
Lua_MarryVisitorWindow = class("Lua_MarryVisitorWindow", Lua_Window);
function Lua_MarryVisitorWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_MarryVisitorWindow";
	self.skinName = "MarryVisitorWindow_skin";
end

function Lua_MarryVisitorWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.visitor_DragList = Lua_DragList.new(self.content, 1, Vector4(0, 0, 556, 280));
	self.visitor_DragList:setLocation(0, -40, 0);
	self.visitor_DragList:setListCell(Lua_MarryVisitorItem, 50, 556, 1);
	self.visitor_DragList.canDrag = true;

	self:addLuaEvent("UPDATE_MARRY_VISTIOR", self, self.updateVisitor);
	self:updateVisitor();
end

function Lua_MarryVisitorWindow:updateVisitor()
    self.visitor_DragList:setLuaArrayData(DataCenter.marryData.VisitorArr, false);
end

function Lua_MarryVisitorWindow:dispose()
    if visitor_DragList ~= nil then
        self.visitor_DragList:dispose();
        self.visitor_DragList = nil;
    end
    self:superCall("dispose");
end





--------------------------------------------------





Lua_MarryVisitorItem = class("Lua_MarryVisitorItem", Lua_ListCell);
function Lua_MarryVisitorItem:ctor(p)
	self:superCall("ctor", p, "MarryVisitorItem_skin");
end

function Lua_MarryVisitorItem:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_MarryVisitorItem:setData(data)
	self._data = data;
	if data == nil then
		return;
	end

	self.nameLab.text = data.name;
	self.leaNameLab.text = data.league_name;
	self.lvLab.text = data.role_level;
end

function Lua_MarryVisitorItem:dispose()
	self._data = nil;

	self:superCall("dispose");
end