-- 姻缘-前往结婚
Lua_MarryWindow = class("Lua_MarryWindow", Lua_Window);
function Lua_MarryWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_MarryWindow";
	self.skinName = "MarryWindow_skin";
	self.isModel = true;
end

function Lua_MarryWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.desTxt.text = LanUtil.getValue(124108);

	local rewardId = tonumber(LanUtil.getValue(124178))
	self.rItem = Lua_RewardItem.new(self.content);
	self.rItem:setMaxShow(9);
	self.rItem:setDepth(10);
	self.rItem:setClickWin(true);
	self.rItem:setMouseEnble(true);
	self.rItem:setItemScale(0.9, 0.9);
	self.rItem:setLayout(117, 90, 9);
	self.rItem:setLocation(-276, -16, 0);
	self.rItem:setRewardByRewardList(Array(rewardId));

	self.marryBtn:addClickFuntion(self, self.onMarryClick);
	self.marryShopBtn:addClickFuntion(self, self.onMarryShopClick);
	self.breakMarryBtn:addClickFuntion(self, self.onBreakMarryClick);

	self:addLuaEvent("SET_MARRY_PANEL", self, self.onUpdateWindow);
	Lua_ProxyManager.getProxy("Lua_MarryProxy"):sMarryInfoMsg();
end

function Lua_MarryWindow:onUpdateWindow()
    self.breakMarryObj:SetActive(tonumber(DataCenter.marryData.wedding_tick) > 0);
end

function Lua_MarryWindow:onMarryClick()
    if DataCenter.teamData.hasTeam == false then
        OperateAlert.show(LanUtil.getValue(124100));
    else
        if DataCenter.teamData.amILeader == false then
            OperateAlert.show(LanUtil.getValue(124106));
        else
            if DataCenter.teamData.isNear == false then
                OperateAlert.show(LanUtil.getValue(124171));
            else
                Lua_ProxyManager.getProxy("Lua_MarryProxy"):sCheckMarryInfoMsg();
            end
        end
    end
end

function Lua_MarryWindow:onMarryShopClick()
    Lua_WindowUtil.openWin("Lua_MarryShopWindow", WinParam.ACTION_OPEN, nil);
end

function Lua_MarryWindow:onBreakMarryClick()
    Lua_WindowUtil.openWin("Lua_MarryBrokenWindow", WinParam.ACTION_OPEN, nil);
end

function Lua_MarryWindow:dispose()
	if self.rItem ~= nil then
		self.rItem:dispose();
		self.rItem = nil;
	end
    self:superCall("dispose");
end