-- 姻缘-婚宴预告
Lua_MarryYuGaoWindow = class("Lua_MarryYuGaoWindow", Lua_Window)
function Lua_MarryYuGaoWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_MarryYuGaoWindow";
	self.skinName = "MarryYuGao_skin";
	self.isModel = true;
end

function Lua_MarryYuGaoWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.desLbl.text = LanUtil.getValue(124163);

	self.dragContainer = Lua_DragContainer.new(self.content, 1, Vector4(0, 0, 320, 180));
	self.dragContainer:setLocation(339, -170, 0);
	self.draggableInfoPanel = Lua_MarryInfoPanel.new(self.dragContainer);
	self.draggableInfoPanel:setText(LanUtil.getValue(124164));
end

function Lua_MarryYuGaoWindow:dispose()
	if self.dragContainer ~= nil then
		self.dragContainer:dispose();
		self.dragContainer = nil;
	end
	if self.draggableInfoPanel ~= nil then
		self.draggableInfoPanel:dispose();
		self.draggableInfoPanel = nil;
	end

	self:superCall("dispose");
end





--------------------------------------------------





Lua_MarryInfoPanel = class("Lua_MarryInfoPanel", Lua_DragContainerItem);
function Lua_MarryInfoPanel:ctor(dragContainer)
	self:superCall("ctor", dragContainer.sub);

	dragContainer:addSubContainer(self, true);
	self.dragContainer = dragContainer;
end

function Lua_MarryInfoPanel:buildShowItem()
	self:superCall("buildShowItem");

	self.label = UICreate.createLabel(self.content, "", -160, 90, 320, 180, 22);
	self.label.pivot = UIWidget.Pivot.TopLeft;
	self.label.spacingY = 12;
	self.label.overflowMethod = UILabel.Overflow.ResizeHeight;
end

function Lua_MarryInfoPanel:setText(data)
	self.label.text = data;

	self.dragContainer:updateChildPos();
	self.dragContainer.canDrag = self:getHeight() > 180;
end

function Lua_MarryInfoPanel:getHeight()
	return self.label.height;
end

function Lua_MarryInfoPanel:dispose()
	if self.label ~= nil then
		self.label:dispose();
		self.label = nil;
	end

	self:superCall("dispose");
end