checkRequire("Lua_RechargeUtil")
Lua_FireWorksEffectWindow = class("Lua_FireWorksEffectWindow", Lua_Window);
function Lua_FireWorksEffectWindow:ctor()
    self:superCall("ctor");

    self.effectTime = 6; -- 特效播放时间
    self.showBg = false;
	self.showClose = false;
	self.isClickClose = false;
    self.isModel = false;
	self.blackAlpha = 1 / 255;
    self.layer = 4500;
end

function Lua_FireWorksEffectWindow:buildShowItem()
    self:superCall("buildShowItem");

    self.bgTxt = UICreate.createLabel(self.content,"",0,-85,250,30,20);
    self.bgTxt.text = "";
    self.bgTxt:setDepth(6);
end

function Lua_FireWorksEffectWindow:showWin(param)
	self.data = param;

	self.Timer = 0;
	Lua_CommonUtil.addTimer("etimeStr_Timer", 1, self, self.onEffectTimer);

	if self.effect == nil then
		self.effect = UICreate.createUIEffect(self.content, nil, nil, -208, 263);
		self.effect:setSacle(2, 2, 2);
		self.effect:SetRenderQueue(self.bgTxt, 10, 2, true);
	end

	if DataCenter.marryData.firework_type==1 then
		-- self.effect:setUrl("/effects/scsEffects/dayanhua_tx","dayanhua_tx");
		self.effectData = Lua_RechargeUtil.getRechargeInfoByPlayerHanger("dayanhua_tx");
	else
		-- self.effect:setUrl("/effects/scsEffects/xiaoyanhua_tx","xiaoyanhua_tx");
		self.effectData = Lua_RechargeUtil.getRechargeInfoByPlayerHanger("xiaoyanhua_tx");
	end
	self.effect:setUrl(self.effectData.floder.."/"..self.effectData.fileName, self.effectData.fileName)
	self.effect:setSacle(self.effectData.wingSca[1], self.effectData.wingSca[2], self.effectData.wingSca[3]);
	self.effect:setRot(self.effectData.wingRot[1], self.effectData.wingRot[2], self.effectData.wingRot[3]);
end

function Lua_FireWorksEffectWindow:onEffectTimer()
	self.Timer = self.Timer + 1;
	if self.Timer > self.effectTime then
		self:hide();
		Lua_CommonUtil.removeTimer(self, self.onEffectTimer);
	end
end

function Lua_FireWorksEffectWindow:dispose()
	Lua_CommonUtil.removeTimer(self, self.onEffectTimer);
	self:superCall("dispose");
end