-- 姻缘-婚宴邀请函
Lua_MarryYaoQingWindow = class("Lua_MarryYaoQingWindow", Lua_Window)
function Lua_MarryYaoQingWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_MarryYaoQingWindow";
	self.skinName = "MarryYaoQingWindow_skin";
end

function Lua_MarryYaoQingWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.arr = DataCenter.marryData.weddingArr;
	if self.arr ~= nil then
		self.marry_DragList = Lua_DragList.new(self.content, 2, Vector4(0, 0, 768, 366));
		self.marry_DragList:setLocation(0, -16, 0);
		self.marry_DragList:setListCell(Lua_MarryInviteItem, 366, 256, self.arr:getSize());
		self.marry_DragList:setLuaArrayData(self.arr, false);
	end
end

function Lua_MarryYaoQingWindow:dispose()
    if self.marry_DragList ~= nil then
        self.marry_DragList:dispose();
        self.marry_DragList = nil;
    end

    self:superCall("dispose");
end





--------------------------------------------------





Lua_MarryInviteItem = class("Lua_MarryInviteItem", Lua_ListCell);
function Lua_MarryInviteItem:ctor(p)
    self:superCall("ctor", p, "MarryInviteItem_skin");
end

function Lua_MarryInviteItem:buildShowItem()
    self:superCall("buildShowItem");

    self.headIcon1 = UICreate.createImage(self.content, "", 55, 91, 0, 0);
    self.headIcon1:setDepth(5);

    self.headIcon2 = UICreate.createImage(self.content, "", -55, 91, 0, 0);
    self.headIcon2:setDepth(5);
	
	self.selectIcon:setEnable(false);
end

function Lua_MarryInviteItem:setData(data)
	self._data = data;
	if data == nil then
		return;
	end

	self.myNameLab.text = data.wedding_req_role.role_name;
	self.otherNameLab.text = data.wedding_partner_role.role_name;

	local headStr1 = Lua_ThingDefine.getHeadIconUrlByCareer(data.wedding_req_role.career, data.wedding_req_role.profession);
	self.headIcon1:setUrl(headStr1);
	self.headIcon1:setSacle(0.8, 0.8);

	local headStr2 = Lua_ThingDefine.getHeadIconUrlByCareer(data.wedding_partner_role.career, data.wedding_partner_role.profession);
	self.headIcon2:setUrl(headStr2);
	self.headIcon2:setSacle(0.8, 0.8);
end

function Lua_MarryInviteItem:onPlayerSoundClick()
	Lua_WindowUtil.openWin("Lua_YaoQingHanWindow", WinParam.ACTION_OPEN, self._data);
end

function Lua_MarryInviteItem:onSelectionChange(val)
	self:superCall("onSelectionChange", val);

	self.selectIcon:setEnable(val);
end

function Lua_MarryInviteItem:dispose()
	if self.headIcon1 ~= nil then
		self.headIcon1:dispose();
		self.headIcon1 = nil;
	end
	if self.headIcon2 ~= nil then
		self.headIcon2:dispose();
		self.headIcon2 = nil;
	end
	self._data = nil;

	self:superCall("dispose");
end