﻿-- 姻缘-婚宴预约
Lua_MarryYuYueWindow = class("Lua_MarryYuYueWindow", Lua_Window)
function Lua_MarryYuYueWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_MarryYuYueWindow";
	self.skinName = "YuYueHunYang_skin";
end

function Lua_MarryYuYueWindow:buildShowItem()
    self:superCall("buildShowItem");

	self._isClick = false;
	self.startMouse = -1;
	self.clickName = "";

	self.ObjArr = Array();
	self.ObjArr:add(self.time1L);
	self.ObjArr:add(self.time2L);
	self.ObjArr:add(self.time3L);
	self.ObjArr:add(self.time4L);
	self.ObjArr:add(self.time5L);

	self.ObjArr2 = Array();
	self.ObjArr2:add(self.time1R)
	self.ObjArr2:add(self.time2R)
	self.ObjArr2:add(self.time3R)
	self.ObjArr2:add(self.time4R)
	self.ObjArr2:add(self.time5R)
	self.des.text = LanUtil.getValue(124166);
	self:addLuaEvent("TEAM_INFO_UPDATE", self, self.onTeamUpdateEvent)
	self:initTime();

	self.robj = UICreate.createGameObject(self.content, -60, 56, 0);
	self.maskPanel = self.robj:AddComponent(typeof(UIPanel));
	self.maskPanel.clipping = UIDrawCall.Clipping.SoftClip;
	self.maskPanel.clipOffset = Vector2(0, 0);
	self.maskPanel.clipSoftness = Vector2(2, 2);
	self.maskPanel.baseClipRegion = Vector4(0, 0, 62, 160);
	self.maskPanel.renderQueue = UIPanel.RenderQueue.StartAt;
	self.maskPanel.startingRenderQueue = self.depth + 10;
	self.maskPanel.widgetsAreStatic = false;
	self.maskPanel.anchorOffset = false;
	self.maskPanel.depth = self.depth + 10;

	local len = self.ObjArr:getSize();
	for i = 1, len do
		self.ObjArr[i]:setParent(self.robj.transform);
	end

	self.lobj = UICreate.createGameObject(self.content, 60, 56, 0);
	self.maskPanel2 = self.lobj:AddComponent(typeof(UIPanel));
	self.maskPanel2.clipping = UIDrawCall.Clipping.SoftClip;
	self.maskPanel2.clipOffset = Vector2(0, 0);
	self.maskPanel2.clipSoftness = Vector2(2, 2);
	self.maskPanel2.baseClipRegion = Vector4(0, 0, 62, 160);
	self.maskPanel2.renderQueue = UIPanel.RenderQueue.StartAt;
	self.maskPanel2.startingRenderQueue = self.depth + 10;
	self.maskPanel2.widgetsAreStatic = false;
	self.maskPanel2.anchorOffset = false;
	self.maskPanel2.depth = self.depth + 10;
	local len = self.ObjArr2:getSize();
	for i = 1, len do
		self.ObjArr2[i]:setParent(self.lobj.transform);
	end

	if DataCenter.teamData.amILeader == true then
		self.bgL:addClickFuntion(self, self.onMouseDownHandle);
		self.bgL:addMouseUpFuntion(self, self.onMouseUpHandle);
		self.bgR:addClickFuntion(self, self.onMouseDownHandle);
		self.bgR:addMouseUpFuntion(self, self.onMouseUpHandle);
	end

	self.YuYueBtn:addClickFuntion(self, self.onYuYueClick)
	self.SartBtn:addClickFuntion(self, self.onStartClick)
end

function Lua_MarryYuYueWindow:onTeamUpdateEvent()
	if DataCenter.teamData.amILeader == true then
		Lua_ProxyManager.getProxy("Lua_MarryProxy"):sYuYueMarryTimeMsg(nil, nil, 1);
	end
end

function Lua_MarryYuYueWindow:onYuYueClick()
	if DataCenter.teamData.amILeader == false then
		OperateAlert.show(LanUtil.getValue(124106));
		return;
	end

	local hour = "";
	for i = 1, 5 do
		if self.ObjArr[i] ~= nil and self.ObjArr[i].mainContent.transform.localPosition.y == 2 then
			hour = tonumber(self.ObjArr[i].text);
			break;
		end
	end

	local mins = "";
	for i = 1, 5 do
		if self.ObjArr[i] ~= nil and self.ObjArr2[i].mainContent.transform.localPosition.y == 2 then
			mins = tonumber(self.ObjArr2[i].text);
			break;
		end
	end

	if hour == "" or mins == "" then
		OperateAlert.show(LanUtil.getValue(124157));
	else
		Lua_ProxyManager.getProxy("Lua_MarryProxy"):sYuYueMarryTimeMsg(hour, mins, 0)
	end
end

function Lua_MarryYuYueWindow:onStartClick()
	if DataCenter.teamData.amILeader == false then
		OperateAlert.show(LanUtil.getValue(124106));
		return;
	end
	Lua_ProxyManager.getProxy("Lua_MarryProxy"):sYuYueMarryTimeMsg(nil, nil, 1);
end

function Lua_MarryYuYueWindow:hide()
	if DataCenter.teamData.amILeader == true then
		local tipData = {};
		tipData.des = LanUtil.getValue(124158)
		tipData.owner = self;
		tipData.type = 1;
		tipData.subFun = self.onSubCallback;
		Lua_WindowUtil.openWin("Lua_TipsWindow", nil, tipData);
	else
		self:superCall("hide");
	end
end

function Lua_MarryYuYueWindow:onSubCallback()
	Lua_ProxyManager.getProxy("Lua_MarryProxy"):sYuYueMarryTimeMsg(nil, nil, 1);
end

function Lua_MarryYuYueWindow:initTime(time)
	local curTime = os.date("%H%M");
	local hour = string.sub(curTime, 1, 2)
	local mins = string.sub(curTime, 3, 4)
	if self.clickName == "" then
		self.time1L.text = string.format("%02d",(hour - 2) % 24)
		self.time2L.text = string.format("%02d",(hour - 1) % 24)
		self.time3L.text = string.format("%02d",(hour) % 24)
		self.time4L.text = string.format("%02d",(hour + 1) % 24)
		self.time5L.text = string.format("%02d",(hour + 2) % 24)

		self.time1R.text = string.format("%02d",(mins - 2) % 60)
		self.time2R.text = string.format("%02d",(mins - 1) % 60)
		self.time3R.text = string.format("%02d",(mins) % 60)
		self.time4R.text = string.format("%02d",(mins + 1) % 60)
		self.time5R.text = string.format("%02d",(mins + 2) % 60)
	end
end

function Lua_MarryYuYueWindow:onMouseDownHandle(go, state)
	self.clickName = go.name;
	if go.name == "bgL" then
		self.bgL:setScale(1, 1);
		self:onPress(go, true, self.ObjArr, 24);
	else
		self.bgR:setScale(1, 1);
		self:onPress(go, true, self.ObjArr2, 60);
	end
end

function Lua_MarryYuYueWindow:onMouseUpHandle(go, state)
	if go.name == "bgL" then
		self.bgL:setScale(1, 1);
		self:onPress(go, false, self.ObjArr, 24);
	else
		self.bgR:setScale(1, 1);
		self:onPress(go, false, self.ObjArr2, 60);
	end
end

function Lua_MarryYuYueWindow:onPress(go, state, arr, time)
	self.arr = arr;
	self.time = time;
	if state == true then
		self.startMouse = UnityEngine.Input.mousePosition.y;
		if self._isClick == false then
			self._isClick = true;
			Lua_CommonUtil.addTimer("onEnterFrame", 0.01, self, self.onEnterFrame);
		end
		Lua_CommonUtil.removeTimer(self, self.onBackPostion);
	else
		Lua_CommonUtil.addTimer("onBackPostion", 0.01, self, self.onBackPostion);
		if self._isClick == true then
			self._isClick = false;
			Lua_CommonUtil.removeTimer(self, self.onEnterFrame);
		end
	end
end

function Lua_MarryYuYueWindow:onEnterFrame()
	local d = math.ceil(UnityEngine.Input.mousePosition.y - self.startMouse);
	self.startMouse = UnityEngine.Input.mousePosition.y;
	local step = 1;
	local offset = 1;
	local index = 1;
	local offsetList = {27, 62, 97, 124};
	if d > 0 then
		local minY = 999999999;
		self.indexArr = Array();
		for i = 1, 5 do
			self.arr[i]:setLocation(self.arr[i].mainContent.transform.localPosition.x, d + self.arr[i].mainContent.transform.localPosition.y);
			self:ChangeSizeAndColor(i)
			if self.arr[i].mainContent.transform.localPosition.y >= 89 then
				self.indexArr:add(i);
			end
			if minY >= self.arr[i].mainContent.transform.localPosition.y then
				minY = self.arr[i].mainContent.transform.localPosition.y;
				index = i;
			end
		end

		for i = 1, self.indexArr:getSize() do
			self.arr[self.indexArr[i]].text = string.format("%02d",(tonumber(self.arr[index].text) + offset) % self.time)
			offset = offset + 1
		end

		for i = 1, 5 do
			if self.arr[i].mainContent.transform.localPosition.y >= 89 then
				if offsetList[step] ~= nil then
					local tempPosY = minY - offsetList[step];
					self.arr[i]:setLocation(self.arr[i].mainContent.transform.localPosition.x, tempPosY);
				end
				self:ChangeSizeAndColor(i)
				step = step + 1;
			end
		end
	elseif d < 0 then
		local maxY = -999999999;
		self.indexArr = Array();
		for i = 1, 5 do
			self.arr[i]:setLocation(self.arr[i].mainContent.transform.localPosition.x, d + self.arr[i].mainContent.transform.localPosition.y);
			self:ChangeSizeAndColor(i)
			if self.arr[i].mainContent.transform.localPosition.y <= -85 then
				self.indexArr:add(i);
			end

			if maxY <= self.arr[i].mainContent.transform.localPosition.y then
				maxY = self.arr[i].mainContent.transform.localPosition.y;
				index = i;
			end
		end

		for i = 1, self.indexArr:getSize() do
			self.arr[self.indexArr[i]].text = string.format("%02d",(tonumber(self.arr[index].text) - offset) % self.time)
			offset = offset + 1
		end

		for i = 1, 5 do
			if self.arr[i].mainContent.transform.localPosition.y <= -85 then
				if offsetList[step] ~= nil then
					local tempPosY = maxY + offsetList[step];
					self.arr[i]:setLocation(self.arr[i].mainContent.transform.localPosition.x, tempPosY);
				end
				self:ChangeSizeAndColor(i)
				step = step + 1;
			end
		end
	end
end

function Lua_MarryYuYueWindow:ChangeSizeAndColor(i)
	if self.arr[i].mainContent.transform.localPosition.y == 64 then
		self.arr[i].fontSize = 20;
		self.arr[i].colorStr = Lua_ColorDefine.transColor("FFB6B3");
	elseif self.arr[i].mainContent.transform.localPosition.y == 37 then
		self.arr[i].fontSize = 22;
		self.arr[i].colorStr = Lua_ColorDefine.transColor("FFB6B3");
	elseif self.arr[i].mainContent.transform.localPosition.y == 2 then
		self.arr[i].fontSize = 24;
		self.arr[i].colorStr = Lua_ColorDefine.transColor("FFFFFF");
	elseif self.arr[i].mainContent.transform.localPosition.y == -33 then
		self.arr[i].fontSize = 22;
		self.arr[i].colorStr = Lua_ColorDefine.transColor("FFB6B3");
	elseif self.arr[i].mainContent.transform.localPosition.y == -60 then
		self.arr[i].fontSize = 20;
		self.arr[i].colorStr = Lua_ColorDefine.transColor("FFB6B3");
	end
end

function Lua_MarryYuYueWindow:onBackPostion()
	local dicArr = Array();
	local posList = {-60, -33, 2, 37, 64};
	for i = 1, 5 do
		local list = {};
		list.dir = self.arr[i].mainContent.transform.localPosition.y;
		list.index = i;
		dicArr:add(list);
	end
	
	dicArr:sort("dir", false)
	for i = 1, dicArr:getSize() do
		self.arr[dicArr[i].index]:setLocation(self.arr[dicArr[i].index].mainContent.transform.localPosition.x, posList[i]);
		self:ChangeSizeAndColor(dicArr[i].index)
	end
	Lua_CommonUtil.removeTimer(self, self.onBackPostion);
end

function Lua_MarryYuYueWindow:dispose()
	Lua_CommonUtil.removeTimer(self, self.onEnterFrame);
	Lua_CommonUtil.removeTimer(self, self.onBackPostion);
	self:superCall("dispose");
end