-- 姻缘-补办婚姻，婚宴选择
Lua_WeddingBanquetWindow = class("Lua_WeddingBanquetWindow", Lua_Window)
function Lua_WeddingBanquetWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_WeddingBanquetWindow";
	self.skinName = "MarrySelectedWindow_skin";
end

function Lua_WeddingBanquetWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.des.text = LanUtil.getValue(124113);
	self.Label.text = LanUtil.getValue(124145);

	self.yuyueBtn:addClickFuntion(self, self.onYuYueClick)
	self:addLuaEvent("ON_CELL_CLICK", self, self.onCellClick)
	-- self:addLuaEvent("UPDATE_SELECTED_PANLE", self, self.onUpdateSelectedIndex);

	local infoArr = DataCenter.marryData.marryInfoArr;
	self.marry_DragList = Lua_DragList.new(self.content, 2, Vector4(0, 0, 942, 410));
	self.marry_DragList:setListCell(Lua_WeddingBanquetItem, 410, 314, infoArr:getSize());
	self.marry_DragList:setLocation(0, -25, 0);
	self.marry_DragList:setLuaArrayData(infoArr, false);
end

function Lua_WeddingBanquetWindow:onYuYueClick()
	if self.selectIndex ~= nil and DataCenter.marryData.highest_type >= self.selectIndex then
		Lua_WindowUtil.openWin("Lua_TipsWindow", nil, {owner = self, des = LanUtil.formateStr(LanUtil.getValue(124146)),
			type = 1, subFun = self.agreeWedding});
	elseif self.selectIndex ~= nil and DataCenter.marryData.highest_type < self.selectIndex then
		Lua_WindowUtil.openWin("Lua_TipsWindow", nil, {owner = self, des = LanUtil.formateStr(LanUtil.getValue(124143)),
			type = 1, subFun = self.agreeWedding});
	else
		OperateAlert.show(LanUtil.getValue(124112));
	end
end

function Lua_WeddingBanquetWindow:agreeWedding()
	Lua_ProxyManager.getProxy("Lua_MarryProxy"):sYuYueMarryMsg(self.selectIndex, 1);
end

function Lua_WeddingBanquetWindow:onCellClick(data)
	self.selectIndex = data.marryType;
end

function Lua_WeddingBanquetWindow:dispose()
	if self.marry_DragList ~= nil then
		self.marry_DragList:dispose();
		self.marry_DragList = nil;
	end
	self:superCall("dispose");
end





--------------------------------------------------





Lua_WeddingBanquetItem = class("Lua_WeddingBanquetItem", Lua_ListCell);
function Lua_WeddingBanquetItem:ctor(p)
	self:superCall("ctor", p, "MarrySelectedItem_skin");
end

function Lua_WeddingBanquetItem:buildShowItem()
	self:superCall("buildShowItem");

	self.itemImg = Lua_ToolImage.new(self.content);
	self.itemImg:setDepth(5);
	self.itemImg:setLocation(5.5, 32, 0);
end

function Lua_WeddingBanquetItem:setData(data)
	self._data = data;
	if data == nil then
		return;
	end

	if data.add_exp ~= 0 then
		self.expTxt.text = LanUtil.formateStr(LanUtil.getValue(124177), tostring(data.add_exp))
	else
		self.expTxt.text = ""
	end

	self.itemImg.data = Lua_ToolVo.new(data.itemID);
	self.itemImg.data.bInitLoveGiftAtt = true;

	self.itemTxt.text = LanUtil.formateStr(LanUtil.getValue(124179), self.itemImg.data.name); 
	self.moneyTxt.text = data.moneyNum;

	self.itemBg:setUrl("/images/yinyuan/" .. data.itemBgName .. ".png"); -- 设置背景
	self.titleIcon:setAltas("yinyuan_altas", data.titleIcon);
	self.moneyIcon:setAltas(Lua_MoneyData.getMoneyIconAtlas(data.moneyID), Lua_MoneyData.getIconSpByMoneyType(data.moneyID));

	self.selectedBg:setEnable(false);
end

function Lua_WeddingBanquetItem:onPlayerSoundClick()
	Lua_MsgUtil.callFunc("ON_CELL_CLICK", self._data);
end

function Lua_WeddingBanquetItem:onSelectionChange(val)
	self:superCall("onSelectionChange", val);

	self.selectedBg:setEnable(val);
end

function Lua_WeddingBanquetItem:dispose()
	if self.itemImg ~= nil then
		self.itemImg:dispose();
		self.itemImg = nil;
	end
	self._data = nil;

    self:superCall("dispose");
end